package com.mortals.xhx.module.skin.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.skin.model.SkinEntity;
import com.mortals.xhx.module.skin.service.SkinService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
*
* 皮肤
*
* @author zxfei
* @date 2023-04-03
*/
@RestController
@RequestMapping("skin")
public class SkinController extends BaseCRUDJsonBodyMappingController<SkinService,SkinEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SkinController(){
        super.setModuleDesc( "皮肤");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "imageResolution", paramService.getParamBySecondOrganize("Skin","imageResolution"));
        this.addDict(model, "used", paramService.getParamBySecondOrganize("Skin","used"));
        super.init(model, context);
    }


}